
 LinHES - Bug # 603: Nova-T (inc.Nova-T500) ir not working with lirc

Status: No user feedback Priority: Normal
Author: tophee Category:
Created: 12/28/2009 Assignee:
Updated: 01/04/2012 Due date:
Description: Following my thread: [[http://mysettopbox.tv/phpBB2/viewtopic.php?t=20301&highlight=]] myth does not 

recognise the Nova-t onboard ir dongle correctly. The arrow keys and the numbers appear to work, but the 
other keys do not, such as the back key.

irw does not recognise remote keystrokes.
dmesg recognises the dongle, and the dongle appears in /dev/input/by-path, but not in /dev/input/by-id

dmesg:
<code> Linux video capture interface: v2.00 
cx88/2: cx2388x MPEG-TS Driver Manager version 0.0.6 loaded 
cx88[0]: subsystem: 0070:9002, board: Hauppauge Nova-T DVB-T [card=18,autodetected], frontend(s): 1 
cx88[0]: TV tuner type 4, Radio tuner type -1 
tveeprom 0-0050: Hauppauge model 90002, rev C176, serial# 48784 
tveeprom 0-0050: MAC address is 00-0D-FE-00-BE-90 
tveeprom 0-0050: tuner model is Thompson DTT7592 (idx 76, type 4) 
tveeprom 0-0050: TV standards ATSC/DVB Digital (eeprom 0x80) 
tveeprom 0-0050: audio processor is None (idx 0) 
tveeprom 0-0050: decoder processor is CX882 (idx 25) 
tveeprom 0-0050: has no radio, has IR receiver, has no IR transmitter 
cx88[0]: hauppauge eeprom: model=90002 
input: cx88 IR (Hauppauge Nova-T DVB-T as /class/input/input1 
cx88[0]/2: cx2388x 8802 Driver Manager 
cx88-mpeg driver manager 0000:05:00.2: PCI INT A -> GSI 16 (level, low) -> IRQ 16 
cx88[0]/2: found at 0000:05:00.2, rev: 5, irq: 16, latency: 64, mmio: 0xfc000000 
cx8802_probe() allocating 1 frontend(s)/code>

/dev/input/by-path
<code> lrwxrwxrwx 1 root root 9 2009-12-26 16:55 pci-0000:00:1d.2-usb-0:1:1.0-event-kbd -> ../event7 
lrwxrwxrwx 1 root root 9 2009-12-26 16:55 pci-0000:00:1d.2-usb-0:1:1.1-event-mouse -> ../event8 
lrwxrwxrwx 1 root root 9 2009-12-26 16:55 pci-0000:00:1d.2-usb-0:1:1.1-mouse -> ../mouse1 
lrwxrwxrwx 1 root root 9 2009-12-26 16:55 pci-0000:05:00.2-event- -> ../event1 
lrwxrwxrwx 1 root root 9 2009-12-26 16:55 pci-0000:05:01.2-event- -> ../event2 
lrwxrwxrwx 1 root root 9 2009-12-26 16:55 pci-0000:05:02.0-event- -> ../event6 
lrwxrwxrwx 1 root root 9 2009-12-26 16:55 platform-pcspkr-event-spkr -> ../event5/code>

/dev/input/by-id
<code> lrwxrwxrwx 1 root root 9 2009-12-26 15:20 usb-Logitech_USB_Receiver-event-kbd -> ../event7 
lrwxrwxrwx 1 root root 9 2009-12-26 15:20 usb-Logitech_USB_Receiver-event-mouse -> ../event8 
lrwxrwxrwx 1 root root 9 2009-12-26 15:20 usb-Logitech_USB_Receiver-mouse -> ../mouse1/code>

History
12/28/2009 05:21 am - tophee
Oops, somehow the output from the various locations got messed up and appears with “code>” to the end of everything instead of displaying it correctly 
as a list.

01/02/2010 07:15 am - tophee
There is now a solution to this involving removing the references to the Divco card from the /usr/share/hal/fdi/preprobe/20thirdparty/lirc.fdi
Check out the second page of my post (above).

08/09/2011 04:47 pm - mihanson
- Status changed from New to Feedback

When R7 is released, please let us know if this is still an issue.

01/04/2012 10:25 am - jams
- Status changed from Feedback to No user feedback

closed due to lack of response.
